Export entitlement ledger rows matching the supplied filters as CSV.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/ledger/export?Operation=0&EntitlementStatus=0&SourceType=0"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/ledger/export?Operation=0&EntitlementStatus=0&SourceType=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/entitlement-operations/ledger/export?Operation=0&EntitlementStatus=0&SourceType=0'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional entitlement model filter.
Optional entitlement plan filter.
Optional entitlement id filter.
Optional human-readable entitlement number filter.
Optional owner party instance filter.
Optional resource instance filter.
Optional ledger movement type.
Optional current entitlement status filter.
Optional source type filter.
Optional renewal workflow id filter.
Optional inclusive occurrence start.
Optional inclusive occurrence end.
Optional search across entitlement number, ids, plan/model names, owner display, reason, source, and correlation.
One-based page number.
Requested page size.
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Examplegenerated
binaryBad Request
object
CSV export payload for ledger rows.
object
object
object
object
object
object
CSV export payload for ledger rows.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}